using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace BAZA
{
    public partial class GlOkno : Form
    {
        private DataSet ds;
        private static string povNiz = @"Data Source=E:\Baze\filmi.sqlite; Version=3;";
        public GlOkno()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SQLiteConnection povezava = new SQLiteConnection(GlOkno.povNiz);
            this.ds = new DataSet();
            
            SQLiteDataAdapter dataAdapter = new SQLiteDataAdapter("SELECT leto, naslov, reziser FROM Filmi", povezava);
            dataAdapter.Fill(ds);
            prikazPodatkov.DataSource = ds.Tables[0];
           
 
        }

        private void prikazPodatkov_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }
    }
}
